#!/bin/sh
#create openbox pipe menu for Drives

[ "`sort --help | grep -F -- 'version-sort'`" ] && VER="-V" || VER=""

if [ "`ls $HOME/.pup_event | grep '[0-9]'`" ]; then
 ls $HOME/.pup_event | grep '[0-9]' | cut -d '_' -f2 | sort $VER > /tmp/tmp
else
 ls $HOME/.pup_event | cut -d '_' -f2 | sort $VER > /tmp/tmp
fi

echo "<openbox_pipe_menu>" 
while read PARTITION
do
 INFO=$(grep '<Summary>' $HOME/.pup_event/drive_"${PARTITION}"/AppInfo.xml | cut -d '>' -f2- | cut -d '<' -f1 | sed -e s'/Filesystem//' -e s'/Description//' -e s'/Size//')
 DRIVE_TYPE=$(grep '<Item option' $HOME/.pup_event/drive_"${PARTITION}"/AppInfo.xml | awk '{print $2}' | cut -d '_' -f2 | cut -d '"' -f1)
 if [ "$DRIVE_TYPE" = "card" ]; then
  DRIVE_ICON="/usr/local/lib/X11/pixmaps/card48.png"
 elif [ "$DRIVE_TYPE" = "usbdrv" ]; then
  DRIVE_ICON="/usr/local/lib/X11/pixmaps/usbdrv48.png"
 elif [ "$DRIVE_TYPE" = "optical" ]; then
  DRIVE_ICON="/usr/local/lib/X11/pixmaps/optical48.png"
 elif [ "$DRIVE_TYPE" = "floppy" ]; then
  DRIVE_ICON="/usr/local/lib/X11/pixmaps/floppy48.png"
 else
  DRIVE_ICON="/usr/local/lib/X11/pixmaps/drive48.png"
 fi
 echo -e "<item label=\"${PARTITION} ${INFO}\" icon=\"${DRIVE_ICON}\">
<action name=\"Execute\"><execute>$HOME/.pup_event/drive_${PARTITION}/AppRun</execute></action>
</item>"
done < /tmp/tmp
echo "</openbox_pipe_menu>"
